Restore an archived template
curl --request POST \
--url https://api.atlaswork.ai/api/v1/templates/{id}/restore \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlaswork.ai/api/v1/templates/{id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlaswork.ai/api/v1/templates/{id}/restore"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"organizationId": "<string>",
"teamId": "<string>",
"name": "<string>",
"namePattern": "<string>",
"originalFilename": "<string>",
"sourceFormat": "<string>",
"contentHash": "<string>",
"sizeBytes": 123,
"archivedAt": "2023-11-07T05:31:56Z",
"useCount": 1,
"lastUsedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"details": {}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}Templates
Restore an archived template
POST
/
api
/
v1
/
templates
/
{id}
/
restore
Restore an archived template
curl --request POST \
--url https://api.atlaswork.ai/api/v1/templates/{id}/restore \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlaswork.ai/api/v1/templates/{id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlaswork.ai/api/v1/templates/{id}/restore"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"organizationId": "<string>",
"teamId": "<string>",
"name": "<string>",
"namePattern": "<string>",
"originalFilename": "<string>",
"sourceFormat": "<string>",
"contentHash": "<string>",
"sizeBytes": 123,
"archivedAt": "2023-11-07T05:31:56Z",
"useCount": 1,
"lastUsedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"details": {}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}Authorizations
apiKeyoauthJwt
Organization API key (format atlas_sk_...), passed as a bearer token or the x-api-key header. Created and revoked in the dashboard (Better Auth api-key plugin); shown in full only once and stored hashed.
Path Parameters
Template id
Minimum string length:
1Response
Restored template
Required range:
x >= 0